Last Comment Bug 70028 - landing of nsIUBidiUtils.h and implementation
: landing of nsIUBidiUtils.h and implementation
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla0.9.1
Assigned To: Frank Tang
: Frank Tang
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-23 16:00 PST by Frank Tang
Modified: 2001-05-14 16:16 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
nsIUBidiUtils.h without Arabic shapping functions (10.66 KB, text/plain)
2001-02-23 16:01 PST, Frank Tang
no flags Details
bidicattable.h (82.82 KB, text/plain)
2001-02-23 16:01 PST, Frank Tang
no flags Details
symmtable.h (10.65 KB, text/plain)
2001-02-23 16:02 PST, Frank Tang
no flags Details
nsBidiUtilsImp.h (2.52 KB, text/plain)
2001-02-23 16:02 PST, Frank Tang
no flags Details
nsBidiUtilsImp.cpp (12.78 KB, text/plain)
2001-02-23 16:05 PST, Frank Tang
no flags Details
Adding gensymmtable.pl (generates the version of symmtable.h in attachment 26080 above) (4.17 KB, text/plain)
2001-02-27 00:20 PST, Simon Montagu :smontagu
no flags Details
diffs on nsBidiUtilsImp.cpp (6.04 KB, patch)
2001-04-01 07:51 PDT, Simon Montagu :smontagu
no flags Details | Diff | Splinter Review

Description Frank Tang 2001-02-23 16:00:20 PST

    
Comment 1 Frank Tang 2001-02-23 16:01:20 PST
Created attachment 26078 [details]
nsIUBidiUtils.h without Arabic shapping functions
Comment 2 Frank Tang 2001-02-23 16:01:56 PST
Created attachment 26079 [details]
bidicattable.h
Comment 3 Frank Tang 2001-02-23 16:02:22 PST
Created attachment 26080 [details]
symmtable.h
Comment 4 Frank Tang 2001-02-23 16:02:55 PST
Created attachment 26081 [details]
nsBidiUtilsImp.h
Comment 5 Frank Tang 2001-02-23 16:05:04 PST
Created attachment 26082 [details]
nsBidiUtilsImp.cpp
Comment 6 Frank Tang 2001-02-23 16:05:39 PST
submit by smontagur@il.ibm.com
r=ftang
sr=erik
Comment 7 Frank Tang 2001-02-26 18:07:28 PST
check in these 5 files. Need to add into the build after nsIBidi.h land.
Comment 8 Erik van der Poel 2001-02-26 22:06:59 PST
Simon, if you like, I think it's possible to change all of your softel.co.il
entries in bugzilla to your IBM address. (You don't have to do this; I just
thought you might want to.)
Comment 9 Simon Montagu :smontagu 2001-02-27 00:20:19 PST
Created attachment 26253 [details]
Adding gensymmtable.pl (generates the version of symmtable.h in attachment 26080 [details] above)
Comment 10 Teruko Kobayashi 2001-03-01 10:38:49 PST
Changed QA contact to ftang@netscape.com.
Comment 11 Frank Tang 2001-03-01 14:59:33 PST
r=ftang
Comment 12 Erik van der Poel 2001-03-01 15:17:27 PST
previous r=ftang was for gensymmtable.pl

sr=erik for the same file
Comment 13 Erik van der Poel 2001-03-01 16:21:42 PST
gensymmtable.pl changes checked in. Makefiles not checked in yet.
Comment 14 Frank Tang 2001-03-29 20:27:35 PST
Check in most of the code. But we still need to review the Arabic shapping code. 
That part is still not fully work. I check in the code in a #ifdef which default 
to false. 
Comment 15 Frank Tang 2001-03-29 20:28:04 PST
Mark the remainning part as moz0.9
Comment 16 Simon Montagu :smontagu 2001-04-01 06:14:31 PDT
The code within #ifdef FULL_ARABIC_SHAPING doesn't build as is.

NS_ConvertToString is no longer defined (see bug 73339), and should be replaced
by NS_LITERAL_STRING.

aSrcUnichars should be replaced by srcUnichars throughout for coding convention
compliance
Comment 17 Simon Montagu :smontagu 2001-04-01 07:51:54 PDT
Created attachment 29402 [details] [diff] [review]
diffs on nsBidiUtilsImp.cpp
Comment 18 Frank Tang 2001-04-10 15:46:50 PDT
simon's last patch looks right to me . r=ftang
Comment 19 Erik van der Poel 2001-04-10 16:18:21 PDT
I think there is a better way to set the destination to the empty string.
Instead of

  aDst = NS_LITERAL_STRING("");

we should simply have

  aDst.Truncate();

(This is how I solved it in my local tree.)
Comment 20 Frank Tang 2001-04-17 12:33:13 PDT
change to moz0.9.1 and reassign to erik
Comment 21 Frank Tang 2001-05-07 23:43:48 PDT
erik resign. reassign all his bug to ftang for now.
Comment 22 Frank Tang 2001-05-08 00:56:13 PDT
mark it as assign
Comment 23 Frank Tang 2001-05-14 15:49:48 PDT
We recycle this bug too much. Mark this bug fixed and keep the remaining one in 
80160. 
Comment 24 Arthur Barrett 2001-05-14 16:16:04 PDT
If you are going to move this issue then you will need to update the link on 
this page:

http://www.mozilla.org/projects/intl/bidi-progress.html

Note You need to log in before you can comment on or make changes to this bug.